# Parsing Fix Confidence and Fix Rating

This guide explains how to interpret the response from the [`GET fix-reports/{fixReportId}`](https://apidocs.mobb.ai/mobb-rest-api#tag/fix-reports/get/api/rest/fix-reports/{fixReportId}) API.

## How to obtain fix confidence status

The `confidence` field in the API response allows you to determine if a fix is considered "Stable" or "Adaptive".

* **`"confidence": 90`**: indicates **Stable Fix**, which are deterministic fixes
* **`"confidence": 50`**: indicates **Adaptive Fix**, which are fixes generated using intelligent AI techniques that may require closer review.

For more details on Stable vs Adaptive fixes, see [Working with the Fix Report](/mobb-user-docs/getting-started/working-with-the-fix-report.md).

**Sample Output (Truncated):**

```json
{
    "fixReport": [
        {
            "fixes": [
                {
                    "id": "51c6cce5-8374-4357-bda8-9a8e03f98e4b",
                    "safeIssueType": "SQL_Injection",
                    "confidence": 90,
                }
            ]
        }
    ]
}
```

## How to obtain Fix Rating

The `sharedState` object contains the `fixRatings` array, which details user sentiment and feedback on a fix.

* **Vote Score (`voteScore`)**:
  * `1`: **Thumbs Up**
  * `-1`: **Thumbs Down**
* **Fix Rating Tag (`fixRatingTag`)**: Reason for rejection (if `voteScore` is `-1`).
  * Values: `BAD_PATTERN`, `BREAKING_FIX`, `FALSE_POSITIVE`, `OTHER`, `UNRESOLVED_FIX`
* **Comments (`comment`)**: Improved context provided by the user.
* **User Info**: `email` and `name` of the reviewer.

For more information on how to submit feedback via the UI, see [Providing Fix Feedback](/mobb-user-docs/more-info/providing-fix-feedback.md).

**Sample Output (Truncated):**

```json
{
    "fixReport": [
        {
            "fixes": [
                {
                    "id": "51c6cce5-8374-4357-bda8-9a8e03f98e4b",
                    "sharedState": {
                        "isArchived": false,
                        "fixRatings": [
                            {
                                "voteScore": -1,
                                "fixRatingTag": "FALSE_POSITIVE",
                                "comment": "This query is already parameterized elsewhere.",
                                "user": {
                                    "email": "user@test.com",
                                    "name": "First and Last Name"
                                },
                                "updatedDate": "2025-12-09T20:03:52.535734+00:00"
                            }
                        ]
                    }
                }
            ]
        }
    ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mobb.ai/mobb-user-docs/mobb-rest-api/rest-api-common-deployment-scenarios/parsing-fix-confidence-and-fix-rating.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
